function h = errbar(varargin)
% modifies errorbar removing tee with backw compatibility
% to test, uncomment and execute as script
% x =[1:20];
% y=x/4+0.8*rand(size(x));
% e=0.8*ones(size(x));
   switch nargin
      case 1
         h = errorbar(varargin{1});
      case 2
         h = errorbar(varargin{1},varargin{2});
      case 3
         h = errorbar(varargin{1},varargin{2},varargin{3});
      case 4
         h = errorbar(varargin{1},varargin{2},varargin{3},varargin{4});
      case 5
         h = errorbar(varargin{1},varargin{2},varargin{3},varargin{4},varargin{5});
      case 6
         h = errorbar(varargin{1},varargin{2},varargin{3},varargin{4},varargin{5},...
             varargin{6});
      case 7
         h = errorbar(varargin{1},varargin{2},varargin{3},varargin{4},varargin{5},...
             varargin{6},varargin{7});
      case 8
         h = errorbar(varargin{1},varargin{2},varargin{3},varargin{4},varargin{5},...
             varargin{6},varargin{7},varargin{8});
      case 9
         h = errorbar(varargin{1},varargin{2},varargin{3},varargin{4},varargin{5},...
             varargin{6},varargin{7},varargin{8},varargin{9});
      case 10
         h = errorbar(varargin{1},varargin{2},varargin{3},varargin{4},varargin{5},...
             varargin{6},varargin{7},varargin{8},varargin{9},varargin{10});
   end
   if verLessThan('matlab','8.4') % before 2014b
%	  disp('Ole version')
%	  disp('strike any key')
%	  pause
      c = get(h,'child'); 
      xd = get(c(2),'xdata');
      xd(4:9:end) = xd(1:9:end); % tee edges equal center 
      xd(5:9:end) = xd(1:9:end);
      xd(7:9:end) = xd(1:9:end);
      xd(8:9:end) = xd(1:9:end);
	  set(c(2),'xdata',xd); % replace tee edges 
   else
%     disp('new version')
%     fprintf('Number of arguments: %d\n',nargin)
%     celldisp(varargin)
      drawnow;
      x = h.Bar.VertexData(1,:); % Retrieve bar xdata from errorbar 
      dp = length(x)/3; % 3 data points per error bar 
      for ii = 1:dp 
         x(dp+ii:dp:end) = x(ii); % set 
      end 
	  h.Bar.VertexData(1,:)=x;
   end
                        