function f = mufmufangle(p,d)
% F = MUFMUFANGLE(p,d) 
% p = minuit p = data TIME or [TIME; ASYMMETRY; ASYMERRORS] 
% zero field asymmetry for polycrystalline FMuF-like bent molecules
% p(1) = Amp;
% p(2) = Bd(G) for the straight molecule
% p(3) = theta (degree) angle: between F-Mu-- and Mu-F (0, pi/2 is straight)
% p(4) = LDeLo (mus^-1) independent T1
% p(5) = TDeGa (mus^-1) independent T2 
global MU_TABLE
C = MU_TABLE.FMUFANGLE_CONSTANTS;
F = MU_TABLE.FMUFANGLE_FREQUENCIES;
 t = p(3)*pi/180; % in rad
 h = zeros(9,1);
 h(1) = 1;
 h(2) = sin(t)^4 + cos(t)^4;
 h(3) = sin(t)^3*cos(t)+sin(t)*cos(t)^3;
 h(4) = sin(t)^8 + cos(t)^8;
 h(5) = sin(t)^4*cos(t)^4;
 h(6) = sin(t)^6*cos(t)^2 + sin(t)^2*cos(t)^6;
 h(7) = sin(t)^7*cos(t) + sin(t)*cos(t)^7;
 h(8) = sin(t)^5*cos(t)^3 + sin(t)^3*cos(t)^5;
 h(9) = sin(t)^9*cos(t)^7 + sin(t)^7*cos(t)^9;
f = zeros(size(d(1,:)));
A = C*h;
W = 2*pi*MU_TABLE.GAMU*p(2)*F*h;
A = p(1)*A/sum(A);
% sum(W) sum seems nearly constant, ought it to be constant?
for k= 1:size(C,1)
    f = f + A(k)*cos(W(k)*d(1,:));
end
f = f.*exp(-d(1,:)*p(4)).*exp(-((d(1,:)*p(5)).^2)/2);
