function nt0=muguesst0(histos)
% nt0=muguesst0(histos)
% where histos has detector counts in colums (each row n detectors) 
% guesses approximate nt0 (bins of t=0), one per histo
global MU_GEAR
switch MU_GEAR.FACILITY
  case 'PSI'
      switch MU_GEAR.INSTRUMENT
          case 'HAL'
              nt0=[];
              for k=2:size(histos,2) % First HAL detector is rubbish
                 h=histos(:,k);
                 m=find(h==max(h));
                 nt0=[nt0 m(1)];
                     % it may happen that there are two equal max counts in
                     % the prompt which is large and noisy
              end
          otherwise
              nt0=[];
              for k=1:size(histos,2)
                 h=histos(:,k);
                 nt0=[nt0 find(h==max(h))];
              end
      end
  case 'ISIS'
    h=sum(histos,2);
    dh=h(2:end)-h(1:end-1);
    nt0=find(dh==max(dh));
    if (nt0>11)&(dh(nt0+1)>dh(nt0-11)),
%    if dh(nt0+1)>dh(nt0-11)
        nt0=nt0+1;
    end
    nt0=nt0*ones(1,size(histos,2));
end
